Index: LMDZ6/branches/Amaury_dev/libf/phylmd/condsurf.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/condsurf.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/condsurf.F90	(revision 5088)
@@ -7,5 +7,5 @@
   USE indice_sol_mod
   USE time_phylmdz_mod, ONLY: annee_ref
-  USE lmdz_netcdf, ONLY: nf90_get_var,nf_open,nf_inq_varid,nf_noerr,nf_close,nf_nowrite
+  USE netcdf, ONLY: nf90_get_var,nf90_open,nf90_inq_varid,nf90_noerr,nf90_close,nf90_nowrite
   IMPLICIT NONE
 
@@ -88,6 +88,6 @@
   !$OMP MASTER
   IF (is_mpi_root) THEN
-    ierr = nf_open(fich, nf_nowrite, nid)
-    IF (ierr/=nf_noerr) THEN
+    ierr = nf90_open(fich, nf90_nowrite, nid)
+    IF (ierr/=nf90_noerr) THEN
       WRITE (6, *) ' Pb d''ouverture du fichier ', fich
       WRITE (6, *) ' Le fichier limit ', fich, ' (avec 4 chiffres , pour'
@@ -105,11 +105,11 @@
     ! Bilan flux de chaleur au sol:
 
-    ierr = nf_inq_varid(nid, 'BILS', nvarid)
-    IF (ierr/=nf_noerr) THEN
+    ierr = nf90_inq_varid(nid, 'BILS', nvarid)
+    IF (ierr/=nf90_noerr) THEN
       CALL abort_physic('cond_surf', 'Le champ <BILS> est absent', 1)
     END IF
     PRINT *, 'debut,epais', debut, epais, 'jour,jourvrai', jour, jourvrai
     ierr = nf90_get_var(nid, nvarid,  lmt_bils_glo, debut, epais)
-    IF (ierr/=nf_noerr) THEN
+    IF (ierr/=nf90_noerr) THEN
       CALL abort_physic('condsurf', 'Lecture echouee pour <BILS>', 1)
     END IF
@@ -118,5 +118,5 @@
     ! Fermer le fichier:
 
-    ierr = nf_close(nid)
+    ierr = nf90_close(nid)
 
   END IF ! is_mpi_root==0
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/create_etat0_unstruct_mod.F90	(revision 5088)
@@ -23,5 +23,5 @@
   SUBROUTINE init_create_etat0_unstruct
   USE lmdz_xios
-  USE lmdz_netcdf, ONLY: NF90_NOWRITE,nf90_close,nf90_noerr,nf90_open
+  USE netcdf, ONLY: NF90_NOWRITE,nf90_close,nf90_noerr,nf90_open
   USE mod_phys_lmdz_para
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1DUTILS.h	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/1DUTILS.h	(revision 5088)
@@ -673,5 +673,5 @@
       USE logic_mod, ONLY: fxyhypb, ysinus
       USE temps_mod, ONLY: annee_ref, day_ini, day_ref, itau_dyn
-      USE lmdz_netcdf, ONLY:nf_open,nf_write,nf_noerr
+      USE netcdf, ONLY:nf90_open,nf90_write,nf90_noerr
 
       IMPLICIT NONE
@@ -820,5 +820,5 @@
       USE logic_mod, ONLY: fxyhypb, ysinus
       USE temps_mod, ONLY: annee_ref,day_end,day_ref,itau_dyn,itaufin
-      USE lmdz_netcdf, ONLY:nf_open,nf_write,nf_noerr
+      USE netcdf, ONLY:nf90_open,nf90_write,nf90_noerr
 
       IMPLICIT NONE
@@ -868,6 +868,6 @@
 
 !     modname = 'dyn1dredem'
-!     ierr = NF_OPEN(fichnom, NF_WRITE, nid)
-!     IF (ierr .NE. NF_NOERR) THEN
+!     ierr = nf90_open(fichnom, nf90_write, nid)
+!     IF (ierr .NE. nf90_noerr) THEN
 !        abort_message="Pb. d ouverture "//fichnom
 !        CALL abort_gcm('Modele 1D',abort_message,1)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 5087)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 5088)
@@ -1,5 +1,5 @@
 MODULE mod_1D_amma_read
-        USE lmdz_netcdf, ONLY: nf90_get_var,nf_open,nf_noerr,nf_open,nf_nowrite,&
-                nf_inq_dimid,nf_inq_dimlen,nf_strerror,nf_inq_varid
+        USE netcdf, ONLY: nf90_get_var,nf90_open,nf90_noerr,nf90_open,nf90_nowrite,&
+                nf90_inq_dimid,nf90_inquire_dimension,nf90_strerror,nf90_inq_varid
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !Declarations specifiques au cas AMMA
@@ -63,26 +63,26 @@
       fich_amma='amma.nc'
       print*,'fich_amma ',fich_amma
-      ierr = NF_OPEN(fich_amma,NF_NOWRITE,nid)
-      print*,'fich_amma,NF_NOWRITE,nid ',fich_amma,NF_NOWRITE,nid
-      if (ierr/=NF_NOERR) then
+      ierr = nf90_open(fich_amma,nf90_nowrite,nid)
+      print*,'fich_amma,nf90_nowrite,nid ',fich_amma,nf90_nowrite,nid
+      if (ierr/=nf90_noerr) then
          write(*,*) 'ERROR: GROS Pb opening forcings nc file '
-         write(*,*) NF_STRERROR(ierr)
+         write(*,*) nf90_strerror(ierr)
          stop ""
       endif
 !.......................................................................
-      ierr=NF_INQ_DIMID(nid,'lev',rid)
-      IF (ierr/=NF_NOERR) THEN
+      ierr=nf90_inq_dimid(nid,'lev',rid)
+      IF (ierr/=nf90_noerr) THEN
          print*, 'Oh probleme lecture dimension zz'
       ENDIF
-      ierr=NF_INQ_DIMLEN(nid,rid,nlev_amma)
+      ierr=nf90_inquire_dimension(nid,rid,len=nlev_amma)
       print*,'OK nid,rid,nlev_amma',nid,rid,nlev_amma
 !.......................................................................
-      ierr=NF_INQ_DIMID(nid,'time',rid)
+      ierr=nf90_inq_dimid(nid,'time',rid)
       print*,'nid,rid',nid,rid
       nt_amma=0
-      IF (ierr/=NF_NOERR) THEN
+      IF (ierr/=nf90_noerr) THEN
         stop 'probleme lecture dimension sens'
       ENDIF
-      ierr=NF_INQ_DIMLEN(nid,rid,nt_amma)
+      ierr=nf90_inquire_dimension(nid,rid,len=nt_amma)
       print*,'nid,rid,nlev_amma',nid,rid,nt_amma
 
@@ -195,68 +195,68 @@
       integer var3didin(nbvar3d)
 
-       ierr=NF_INQ_VARID(nid,"zz",var3didin(1)) 
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+       ierr=nf90_inq_varid(nid,"zz",var3didin(1))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'lev'
          endif
 
 
-      ierr=NF_INQ_VARID(nid,"temp",var3didin(2))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"temp",var3didin(2))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'temp'
          endif
 
-      ierr=NF_INQ_VARID(nid,"qv",var3didin(3))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"qv",var3didin(3))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'qv'
          endif
 
-      ierr=NF_INQ_VARID(nid,"u",var3didin(4))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"u",var3didin(4))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'u'
          endif
 
-      ierr=NF_INQ_VARID(nid,"v",var3didin(5))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"v",var3didin(5))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'v'
          endif
 
-      ierr=NF_INQ_VARID(nid,"dw",var3didin(6))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"dw",var3didin(6))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'dw'
          endif
 
-      ierr=NF_INQ_VARID(nid,"dt",var3didin(7))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"dt",var3didin(7))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'dt'
          endif
 
-      ierr=NF_INQ_VARID(nid,"dq",var3didin(8))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"dq",var3didin(8))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'dq'
          endif
       
-      ierr=NF_INQ_VARID(nid,"sens",var3didin(9))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"sens",var3didin(9))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'sens'
          endif
 
-      ierr=NF_INQ_VARID(nid,"flat",var3didin(10))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"flat",var3didin(10))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
            stop 'flat'
          endif
 
-      ierr=NF_INQ_VARID(nid,"pp",var3didin(11))
-         if(ierr/=NF_NOERR) then
-           write(*,*) NF_STRERROR(ierr)
+      ierr=nf90_inq_varid(nid,"pp",var3didin(11))
+         if(ierr/=nf90_noerr) then
+           write(*,*) nf90_strerror(ierr)
       endif
 
@@ -265,6 +265,6 @@
  
          ierr = nf90_get_var(nid,var3didin(1),zz)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -272,6 +272,6 @@
 
          ierr = nf90_get_var(nid,var3didin(2),temp)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -279,6 +279,6 @@
 
          ierr = nf90_get_var(nid,var3didin(3),qv)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -286,6 +286,6 @@
  
          ierr = nf90_get_var(nid,var3didin(4),u)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -293,6 +293,6 @@
 
          ierr = nf90_get_var(nid,var3didin(5),v)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -300,6 +300,6 @@
 
          ierr = nf90_get_var(nid,var3didin(6),dw)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -307,6 +307,6 @@
 
          ierr = nf90_get_var(nid,var3didin(7),dt)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -314,6 +314,6 @@
 
          ierr = nf90_get_var(nid,var3didin(8),dq)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -321,6 +321,6 @@
 
          ierr = nf90_get_var(nid,var3didin(9),sens)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -328,6 +328,6 @@
 
          ierr = nf90_get_var(nid,var3didin(10),flat)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -335,6 +335,6 @@
 
          ierr = nf90_get_var(nid,var3didin(11),pp)
-         if(ierr/=NF_NOERR) then
-            write(*,*) NF_STRERROR(ierr)
+         if(ierr/=nf90_noerr) then
+            write(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
